Программа: KAPhotoservice 7.5, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение. Уязвимость существует из-за недостаточной обработки входных данных в параметре "cat" в сценарии album.asp, в параметре "albumid" в сценарии albums.asp, в параметре "apage" в сценарии edtalbum.asp, и в поле "New Category" в сценарии edtalbum.asp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

/album.asp?cat=[XSS]&albumid=1
/albums.asp?cat=&albumid=[XSS]
/edtalbum.asp?cat=&albumid=1&apage=[XSS]
 



Оставить мнение